/*
 *========================================================================
 *
 *    : AZN_PLAZA_LANE APP
 *      : debug_def.h
 *      : JBY (baarong@neighbor21.co.kr)
 *      : 2018.07.13
 *      : 
 *        : debug LOG    
 *
 *========================================================================
*/


#ifndef _DEBUG_DEF
#define _DEBUG_DEF

#include "def_set.h"

FILE *lb_log_open( char *path, char *firstname );
int lb_log_close( void );
int lb_log_write( char *fmt, ... );

int lb_nowork( char  *fmt, ... );
int hex_dump( void  *ptr, int size );
int write_info_log( struct write_info *wp );
#if 0
int debug_chg_struc( struct xchg  *xp );
#endif
extern FILE *log_fp;
extern FILE *log_fp2;
extern int   scr_flag;

#define log_write    \
        lb_log_write_tm( "%s[%s]:", __FILE__, __FUNCTION__);     \
        lb_log_write

#define Log_open     lb_log_open

/*
#ifdef DEBUG
    #define proc_log    LOG_WRITE
    #define DPRINTF    	PRINTF
#else
*/
    #define LOG_DWRITE  lb_nowork
    #define DPRINTF     lb_nowork
/*
#endif
*/

#endif

